Package io.flutter.app

# Interface FlutterActivityEvents

All Superinterfaces:
  `ComponentCallbacks`, `ComponentCallbacks2`, `PluginRegistry.ActivityResultListener`, `PluginRegistry.RequestPermissionsResultListener`

All Known Implementing Classes:
  `FlutterActivityDelegate`

public interface FlutterActivityEvents extends ComponentCallbacks2, PluginRegistry.ActivityResultListener, PluginRegistry.RequestPermissionsResultListener
A collection of Android `Activity` methods that are relevant to the core operation of Flutter applications.

Application authors that use an activity other than `FlutterActivity` should forward all events herein from their activity to an instance of `FlutterActivityDelegate` in order to wire the activity up to the Flutter framework. This forwarding is already provided in `FlutterActivity`.

- ## Field Summary

  ### Fields inherited from interface android.content.ComponentCallbacks2

  `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `onBackPressed()`
  Invoked when the activity has detected the user's press of the back key.
  `void`
  `onCreate(Bundle savedInstanceState)`
  `void`
  `onDestroy()`
  `void`
  `onNewIntent(Intent intent)`
  `void`
  `onPause()`
  `void`
  `onPostResume()`
  `void`
  `onResume()`
  `void`
  `onStart()`
  `void`
  `onStop()`
  `void`
  `onUserLeaveHint()`
  `void`
  `onWindowFocusChanged(boolean hasFocus)`

  ### Methods inherited from interface android.content.ComponentCallbacks

  `onConfigurationChanged, onLowMemory`

  ### Methods inherited from interface android.content.ComponentCallbacks2

  `onTrimMemory`

  ### Methods inherited from interface io.flutter.plugin.common.PluginRegistry.ActivityResultListener

  `onActivityResult`

  ### Methods inherited from interface io.flutter.plugin.common.PluginRegistry.RequestPermissionsResultListener

  `onRequestPermissionsResult`

- ## Method Details

  - ### onCreate

    void onCreate(Bundle savedInstanceState)
    Parameters:
      `savedInstanceState` - If the activity is being re-initialized after previously being shut down then this Bundle contains the data it most recently supplied in `onSaveInstanceState(Bundle)`.
    See Also:
      - `Activity.onCreate(android.os.Bundle)`

  - ### onNewIntent

    void onNewIntent(Intent intent)
    Parameters:
      `intent` - The new intent that was started for the activity.
    See Also:
      - `Activity.onNewIntent(Intent)`

  - ### onPause

    void onPause()
    See Also:
      - `Activity.onPause()`

  - ### onStart

    void onStart()
    See Also:
      - `Activity.onStart()`

  - ### onResume

    void onResume()
    See Also:
      - `Activity.onResume()`

  - ### onPostResume

    void onPostResume()
    See Also:
      - `Activity.onPostResume()`

  - ### onDestroy

    void onDestroy()
    See Also:
      - `Activity.onDestroy()`

  - ### onStop

    void onStop()
    See Also:
      - `Activity.onStop()`

  - ### onBackPressed

    boolean onBackPressed()
    Invoked when the activity has detected the user's press of the back key.
    Returns:
      `true` if the listener handled the event; `false` to let the activity continue with its default back button handling.
    See Also:
      - `Activity.onBackPressed()`

  - ### onUserLeaveHint

    void onUserLeaveHint()
    See Also:
      - `Activity.onUserLeaveHint()`

  - ### onWindowFocusChanged

    void onWindowFocusChanged(boolean hasFocus)
    Parameters:
      `hasFocus` - True if the current activity window has focus.
    See Also:
      - `Activity.onWindowFocusChanged(boolean)`